/* Copyright (c) 2004 Petr Bilek
Tento kod je volne programove vybaveni; muzete jej sirit a modifikovat
podle ustanoveni Obecne verejne license GNU, vydavane FreeSoftware Foundation.
Na tento program se nevztahuji ZADNE ZARUKY; neposkytuji se ani odvozene zaruky
PRODEJNSTI anebo VHODNOSTI PRO URCITY UCEL. */
/* soubor  bschema.c  PROFI */
#ifdef PSANIPROFI

#include "strukturyw.h"
#include "struktury.h"
#include "lib.h"
#include "barvy.h"

/* schema skutecnych (defaultnich) barev */
barvy_schema bschemata[] = {
    /****************/
  /* bschemata[0] */
    /****************/
  {
   /* barvy_napoveda */
   {
    /* hlavni */ {COLOR_GREEN, COLOR_BLACK}
    ,
    /* nadpis */ {COLOR_RED, COLOR_BLACK}
    ,
    /* nadpis2 */ {COLOR_GREEN, COLOR_BLACK}
    ,
    /* zavorky */ {COLOR_YELLOW, COLOR_BLACK}
    ,
    /* uvozovky */ {COLOR_MAGENTA, COLOR_BLACK}
    ,
    /* gnu */ {COLOR_YELLOW, COLOR_BLACK}
    }
   ,
   /* barvy_vysledky */
   {
    /* hlavni */ {COLOR_WHITE, COLOR_BLUE}
    ,
    /* celkem */ {COLOR_WHITE, COLOR_BLUE}
    ,
    /* vyborne */ {COLOR_YELLOW, COLOR_BLUE}
    ,
    /* dobre */ {COLOR_CYAN, COLOR_BLUE}
    ,
    /* spatne */ {COLOR_RED, COLOR_BLUE}
    }
   ,
   /* barvy_button */
   {
    /* pozadi */ {COLOR_BLUE, COLOR_WHITE}
    }
   ,
   /* barvy_copyright */
   {
    /* hlavni */ {COLOR_MAGENTA, COLOR_BLACK}
    ,
    /* ok */ {COLOR_YELLOW, COLOR_BLACK}
    }
   ,
   /* barvy_pismena */
   {
    /* hlavni */ {COLOR_YELLOW, COLOR_BLACK}
    }
   ,
   /* barvy_klavesnice */
   {
    /* hlavni */ {COLOR_WHITE, COLOR_BLACK}
    ,
    /* malicek */ {COLOR_GREEN, COLOR_BLACK}
    ,
    /* ukazovacek */ {COLOR_MAGENTA, COLOR_BLACK}
    ,
    /* prstenicek */ {COLOR_YELLOW, COLOR_BLACK}
    ,
    /* prostrednicek */ {COLOR_CYAN, COLOR_BLACK}
    }
   ,
   /* barvy_menu */
   {
    /*hlavni */ {COLOR_GREEN, COLOR_BLACK}
    }
   ,
   /* barvy_znacek */
   {
    /* hlavni */ {COLOR_GREEN, COLOR_BLACK}
    }
   ,
   /* barvy_infolt */
   {
    /* hlavni */ {COLOR_CYAN, COLOR_BLACK}
    ,
    /* moznopsat */ {COLOR_CYAN, COLOR_BLACK}
    ,
    /* nemoznopsat */ {COLOR_BLUE, COLOR_BLACK}
    ,
    /* komentar */ {COLOR_WHITE, COLOR_BLACK}
    }
   ,
   /* barvy_napovedalt */
   {
    /* hlavni */ {COLOR_CYAN, COLOR_BLACK}
    }
   ,
   /* barvy_password */
   {
    /* hlavni */ {COLOR_GREEN, COLOR_RED}
    ,
    /* text */ {COLOR_YELLOW, COLOR_RED}
    }
   ,
   /* barvy_hodnoceni */
   {
    /* hlavni */ {COLOR_CYAN, COLOR_BLUE}
    }
   ,
   /* barvy_radek */
   {
    /* hlavni */ {COLOR_WHITE, COLOR_BLACK}
    ,
    /* uhozu */ {COLOR_WHITE, COLOR_BLACK}
    ,
    /* chyba */ {COLOR_RED, COLOR_BLACK}
    ,
    /* bezchyby */ {COLOR_MAGENTA, COLOR_BLACK}
    }
   ,
   /* barvy_datum */
   {
    /* hlavni */ {COLOR_GREEN, COLOR_BLACK}
    }
   ,
   /* barvy_pozadi */
   {
    /* hlavni */ {COLOR_WHITE, -1}
    }
   ,
   /* barvy_sub */
   {
    /* nadpis */ {COLOR_YELLOW, COLOR_BLACK}
    ,
    /* hlavni */ {COLOR_YELLOW, COLOR_BLACK}
    ,
    /* psani */ {COLOR_WHITE, COLOR_BLACK}
    ,
    /* informace */ {COLOR_CYAN, COLOR_BLACK}
    }
   ,
   /* barvy_zadejtext */
   {
    /* hlavni */ {COLOR_WHITE, COLOR_GREEN}
    ,
    /* text */ {COLOR_BLACK, COLOR_GREEN}
    }
#ifdef PSANIPROFI
   ,
   /* barvy_file_manager */
   {
    /* hlavni */ {COLOR_WHITE, COLOR_BLACK}
    }
#endif
   }
  ,
    /****************/
  /* bschemata[1] */
    /****************/
  {
   /* barvy_napoveda */
   {
    /* hlavni */ {COLOR_BLACK, COLOR_WHITE}
    ,
    /* nadpis */ {COLOR_RED, COLOR_WHITE}
    ,
    /* nadpis2 */ {COLOR_BLUE, COLOR_WHITE}
    ,
    /* zavorky */ {COLOR_MAGENTA, COLOR_WHITE}
    ,
    /* uvozovky */ {COLOR_MAGENTA, COLOR_WHITE}
    ,
    /* gnu */ {COLOR_YELLOW, COLOR_WHITE}
    }
   ,
   /* barvy_vysledky */
   {
    /* hlavni */ {COLOR_BLUE, COLOR_WHITE}
    ,
    /* celkem */ {COLOR_BLUE, COLOR_BLACK}
    ,
    /* vyborne */ {COLOR_YELLOW, COLOR_WHITE}
    ,
    /* dobre */ {COLOR_BLUE, COLOR_WHITE}
    ,
    /* spatne */ {COLOR_RED, COLOR_WHITE}
    }
   ,
   /* barvy_button */
   {
    /* pozadi */ {COLOR_WHITE, COLOR_BLUE}
    }
   ,
   /* barvy_copyright */
   {
    /* hlavni */ {COLOR_BLUE, COLOR_WHITE}
    ,
    /* ok */ {COLOR_YELLOW, COLOR_WHITE}
    }
   ,
   /* barvy_pismena */
   {
    /* hlavni */ {COLOR_MAGENTA, COLOR_WHITE}
    }
   ,
   /* barvy_klavesnice */
   {
    /* hlavni */ {COLOR_WHITE, COLOR_BLACK}
    ,
    /* malicek */ {COLOR_GREEN, COLOR_BLACK}
    ,
    /* ukazovacek */ {COLOR_MAGENTA, COLOR_BLACK}
    ,
    /* prstenicek */ {COLOR_YELLOW, COLOR_BLACK}
    ,
    /* prostrednicek */ {COLOR_CYAN, COLOR_BLACK}
    }
   ,
   /* barvy_menu */
   {
    /*hlavni */ {COLOR_RED, COLOR_WHITE}
    }
   ,
   /* barvy_znacek */
   {
    /* hlavni */ {COLOR_BLACK, COLOR_WHITE}
    }
   ,
   /* barvy_infolt */
   {
    /* hlavni */ {COLOR_BLUE, COLOR_WHITE}
    ,
    /* moznopsat */ {COLOR_BLUE, COLOR_WHITE}
    ,
    /* nemoznopsat */ {COLOR_CYAN, COLOR_WHITE}
    ,
    /* komentar */ {COLOR_BLACK, COLOR_WHITE}
    }
   ,
   /* barvy_napovedalt */
   {
    /* hlavni */ {COLOR_BLACK, COLOR_WHITE}
    }
   ,
   /* barvy_password */
   {
    /* hlavni */ {COLOR_BLUE, COLOR_RED}
    ,
    /* text */ {COLOR_YELLOW, COLOR_RED}
    }
   ,
   /* barvy_hodnoceni */
   {
    /* hlavni */ {COLOR_BLUE, COLOR_WHITE}
    }
   ,
   /* barvy_radek */
   {
    /* hlavni */ {COLOR_WHITE, COLOR_BLUE}
    ,
    /* uhozu */ {COLOR_YELLOW, COLOR_BLUE}
    ,
    /* chyba */ {COLOR_RED, COLOR_BLUE}
    ,
    /* bezchyby */ {COLOR_YELLOW, COLOR_BLUE}
    }
   ,
   /* barvy_datum */
   {
    /* hlavni */ {COLOR_GREEN, COLOR_WHITE}
    }
   ,
   /* barvy_pozadi */
   {
    /* hlavni */ {COLOR_CYAN, -1}
    }
   ,
   /* barvy_sub */
   {
    /* nadpis */ {COLOR_BLUE, COLOR_WHITE}
    ,
    /* hlavni */ {COLOR_YELLOW, COLOR_BLACK}
    ,
    /* psani */ {COLOR_YELLOW, COLOR_WHITE}
    ,
    /* informace */ {COLOR_BLUE, COLOR_WHITE}
    }
   ,
   /* barvy_zadejtext */
   {
    /* hlavni */ {COLOR_WHITE, COLOR_BLUE}
    ,
    /* text */ {COLOR_WHITE, COLOR_BLUE}
    }
#ifdef PSANIPROFI
   ,
   /* barvy_file_manager */
   {
    /* hlavni */ {COLOR_BLACK, COLOR_WHITE}
    }
#endif
   }
};
#endif
