/* Copyright (c) 2002 Petr Bilek
   Tento kod je volne programove vybaveni; muzete jej sirit a modifikovat
podle ustanoveni Obecne verejne license GNU, vydavane FreeSoftware Foundation.
Na tento program se nevztahuji ZADNE ZARUKY; neposkytuji se ani odvozene zaruky
PRODEJNSTI anebo VHODNOSTI PRO URCITY UCEL. */
/* soubor nast_nov_text.c */

#include "strukturyw.h"
#include "struktury.h"
#include "libw.h"
#include "lib.h"

void
nast_nov_text (type_nastaveni * nastaveni)
{
  int ch, i;

  vypis_info_vtext (nastaveni);
  do
    {
      ch = getch3 ();
      switch (ch)
	{
/*	case 'u':
	case 'U':
	    nastaveni->vtext.n = (nastaveni->vtext.n) ? 0 : 1;
	    break; */
	case 'z':
	case 'Z':
	  nastaveni->vtext.test = (nastaveni->vtext.test) ? 0 : 1;
	  break;
	case 'c':
	  if (nastaveni->vtext.presnost[0] > 0)
	    for (i = 0; i < 5; i++)
	      nastaveni->vtext.presnost[i]--;

	  break;
	case 'C':
	  if (nastaveni->vtext.presnost[0] < 20)
	    for (i = 0; i < 5; i++)
	      nastaveni->vtext.presnost[i]++;

	  break;
	case 'm':
	  if (nastaveni->vtext.rychlost[0] < 506)
	    for (i = 0; i < 5; i++)
	      nastaveni->vtext.rychlost[i] += 5;
	  break;
	case 'M':
	  if (nastaveni->vtext.rychlost[4] >= 46)
	    for (i = 0; i < 5; i++)
	      nastaveni->vtext.rychlost[i] -= 5;
	  break;
	}


      vypis_info_vtext (nastaveni);
    }
  while (ch != 'k' && ch != 'K' && ch != KEY_BACKSPACE);

  if (uloz_nastaveni (nastaveni))
    print_hl (2, "CHYBA: data se nepodailo uloit do souboru ",
	      jmeno_souboru_nastaveni ());
}

void
vypis_info_vtext (type_nastaveni * nastaveni)
{
  int i;
  char stemp[30];
  vymaz_okno (sub_hlavni);
  /*  mvwprintw2(sub_hlavni, 3, 1, "Ukonen du:\t\t\t<ENTREM> %s",
     (nastaveni->vtext.n) ? "nebo <MEZERNKEM>" : ""); */


  MVWPRINTW2 (sub_hlavni, 3, 1, "Zobrazovn psanho dku:\t%s",
	      (nastaveni->vtext.test) ? "Ne" : "Ano");
  mvwprintw2 (sub_hlavni, 5, 1,
	      "ZNMKA:      1 - 2      2 - 3      3 - 4      4 - 5         5");

  mvwprintw2 (sub_hlavni, 6, 1, "% chyb:   ");
  for (i = 0; i < 4; i++)
    {
      sprintf (stemp, " %1.2f-%1.2f ",
	       (float) nastaveni->vtext.presnost[i] / 100,
	       (float) nastaveni->vtext.presnost[i + 1] / 100);
      wprintw2 (sub_hlavni, stemp);
    }
  sprintf (stemp, " %1.2f a vce",
	   (float) nastaveni->vtext.presnost[4] / 100);
  wprintw2 (sub_hlavni, stemp);


  mvwprintw2 (sub_hlavni, 7, 1, "../min: ");

  for (i = 0; i < 4; i++)
    {
      sprintf (stemp, " %3i - %3i ", nastaveni->vtext.rychlost[i],
	       nastaveni->vtext.rychlost[i + 1]);
      wprintw2 (sub_hlavni, stemp);
    }

  sprintf (stemp, "  %3i a mn", nastaveni->vtext.rychlost[4]);
  wprintw2 (sub_hlavni, stemp);

  wattron2 (sub_hlavni, A_BOLD);
  /*   mvwaddch2(sub_hlavni, 3, 1, 'U'); */
  mvwaddch2 (sub_hlavni, 3, 1, 'Z');
  mvwaddch2 (sub_hlavni, 6, 3, 'c');
  mvwaddch2 (sub_hlavni, 7, 6, 'm');
  wattroff2 (sub_hlavni, A_BOLD);
  mvwprintw2 (sub_hlavni, 10, 1,
	      "Zobrazovn psanho dku zmnte klvesou 'Z'");
  mvwprintw2 (sub_hlavni, 11, 1, "Poet chyb zmnte klvesami 'c' a 'C'");
  mvwprintw2 (sub_hlavni, 12, 1,
	      "istch hoz za minutu zmnte klvesami 'm' a 'M'");
  obnov_hlavni ();
  mvwprintw2 (sub_hlavni, 0, 1, " \"k\" = nvrat do hlavnho menu ");

  tiskni_dle_priority ();
}
